package ca.recrown.islandsurvivalcraft.caching;

import java.util.Objects;

public class CoordinateIdentifier extends Identifier {
    private final int x;
    private final int y;

    public CoordinateIdentifier(int x, int y) {
        this.x = x;
        this.y = y;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj instanceof CoordinateIdentifier) {
            CoordinateIdentifier other = (CoordinateIdentifier) obj;
            return x == other.x && y == other.y;
        }
        return false;
    }

    @Override
    public int hashCode() {
        return Objects.hash(x, y);
    }

}